# How to use

- First define a bean class
``` dart 
class User {
    var username = "";
    var nickname = "";
}
```

- Add the `json_serializable` dependency
The `json_serializble` usage please see it's doc. And then add JsonSerialzble to User class

``` dart 
@JsonSerializable()
class User {
    var username = "";
    var nickname = "";
}
```

- Then define the Api class wich define your api interface. Example api.dart.

```dart
/// the api.dart file
class API {
  @GET("/user/1")
  Future<User> getUser(@PARAM("id") int id);
}
```

- Run `flutter pub run build_runner build` to generate api impl, by generate the api_thyi.dart file.

- New the api
``` dart
/// the API_thyiImpl is the generate class(in api_thyi.dart file).
var api = new API_thyiImpl(Thyi(rootUrl));
```